[machine]
description = INSERIRE NOME BANCO

[hardware_config]
tecna_t3: present
galaxy_camera: absent
digital_io: absent
second_leak_test: absent
barcode_recipe_selection: absent
; archive_synchronizer: present
; label_printer: present
; extra_label_printer: absent
; multicomp: present
; neo_pixels: absent
; remote_api: present
; screwdriver: absent
; uvc_camera: absent
; vision_saver: absent
; vision: absent
; external_flush_blow: absent # EXTERNAL BOX CONTROLLING MULTI-CHANNEL TEST (IF PRESENT), BLOW-CLEANING AND EXTERNAL FLUSH
;pipe_cutter: absent

[galaxy_camera]
horizontal_resolution: 2448
vertical_resolution: 2048
; frame_time_ms: 300
exposure_time: 10000
; horizontal_crop_offset: 0
; horizontal_crop_resolution: 2448
; vertical_crop_offset: 0
; vertical_crop_resolution: 2048
; rotate_90_clockwise times: 0
; auto_white_balance: off
balance_red: 1.85
balance_green: 1.0
balance_blue: 1.5

[uvc_camera]
horizontal_resolution: 3264
vertical_resolution: 2448
exposure_time: 1000
focus: 350
balance_red: 1
balance_green: 1.0
balance_blue: 1.5

[vision_saver]
time_format: %Y-%m-%d_%H-%M-%S
path: ./data/images
minimum_disk_free_space_gb: 20
resize_resolution: 612x512

[archive_synchronizer]
portal_address: https://r5portal.it/
archive_root:api/st-ten-save/
status_root:api/device-info-update/
download_root:media/uploads/

images_path: data/images
poll_time: 10
hold_time: 10
service_account_json: config/machine_settings/gcloud_default.json
bucket_id: st_ten_img

[archive_synchronizer_extra]
portal_address: https://r5portal.it/
archive_root:api/st-ten-save/
status_root:api/device-info-update/
download_root:media/uploads/
archive_endpoint: http://172.20.3.13/api/st-ten-save/
images_path: data/images
poll_time: 10
hold_time: 10

[label_printer]
platform: windows
printer: ttp247


[tecna_t3]
model: t3l
port: COM4
baudrate: 115200
admin_pin: 603
modify_pin: 603
select_pin: 603

[screwdriver]
disable_pin: 0
status_pin: 0

[multicomp]
; port: ?
baudrate: 115200
cable_resistance: 0.75
4wire: disabled

[neo_pixels]
; port: ?
baudrate: 9600

[digital_io]
id: USB-5862,BID#0

[vision]
neural_network: none

[recipe]
recipe_name_field: codice_ricetta
part_number_field: part number
barcode_enable_field: verifica_codice_a_barre_abilitata
barcode_serial_field: codice_a_barre
label_template_field: modello_etichetta

[recipes_defaults]
codice_ricetta: specificare ricetta
cliente: specificare cliente
part_number: specificare part number
dimensione_lotto_abilitata: x
dimensione_lotto: 0
richiedi_inserimento_scarto:
verifica_connettore_abilitata: x
connettore: SCRx
verifica_codice_a_barre_abilitata:
codice_a_barre:
avvitatura_abilitata:
viti: 0
istruzione_abilitata:
n_componenti: 1
verifica_resistenza_connettore_abilitata: x
scala_resistenza: 500
r nominale: 1000000000
tolleranza_resistenza_pos: 10
tolleranza_resistenza_neg: 5
prova_tenuta_abilitata: x
istruzione_abilitata_extra:
warning_img:

#TECNA RECIPE PARAMETERS
pid_mode: 0 # 0=FAST 1=MEDIUM 2=SLOW 4 = FIXED 5 = AUTOMATIC 6 = FLOW 7 = LEAK WITH FLOW
pid_level: 1
pid_speed: 1
tester_discharge_enable: no
pid_pressure_correction: 100

tempo_pre_riempimento: 0
pressione_pre_riempimento: 1000
tempo_riempimento: 10
tempo_assestamento: 10
percentuale_minima_pressione_assestamento: 5
percentuale_massima_pressione_assestamento: 5
tempo_di_test: 10
pressione_di_test_delta_minimo: 30
pressione_di_test: 1111
pressione_di_test_delta_massimo: 30
tempo_svuotamento: 1
pressione_svuotamento: 100
canale_di_prova: 0
tempo_soffiaggio_esterno: 3
tempo_svuotamento_esterno: 2
prova_tenuta_abilitata_2:
tempo_pre_riempimento_2: 0
pressione_pre_riempimento_2: 1000
tempo_riempimento_2: 10
tempo_assestamento_2: 10
percentuale_minima_pressione_assestamento_2: 5
percentuale_massima_pressione_assestamento_2: 5
tempo_di_test_2: 10
pressione_di_test_delta_minimo_2: 200
pressione_di_test_2: 2222
pressione_di_test_delta_massimo_2: 200
tempo_svuotamento_2: 1
pressione_svuotamento_2: 100
tempo_soffiaggio_esterno_2: 3
tempo_svuotamento_esterno_2: 2
canale_di_prova_2: 0
test_visione_abilitato:
ricetta_visione: termorestringente_923578.ini
stampa_etichetta_abilitata: x
modello_etichetta: ETA013L.prn
descrizione: inserire descrizione ricetta

[autotest_leak]
enabled: true
pre_filling_time: 0
pre_filling_pressure: 1000
filling_time: 5
settling_time: 5
settling_pressure_min_percent: 5
settling_pressure_max_percent: 5
test_time: 10
test_pressure_qneg: 5
test_pressure: 9000
test_pressure_qpos: 5
flush_time: 0
flush_pressure: 0

[autotest_resistance]
enabled: false
